classification
Title: Various obvious errors in cookies documentation
Type: Stage: commit review
Components: Documentation Versions: Python 3.8, Python 3.7, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, gregory.p.smith, jiliuk, miss-islington, petri.lehtinen, r.david.murray, spookylukey
Priority: normal Keywords: easy, patch

Created on 2011-01-24 22:27 by spookylukey, last changed 2019-05-07 17:34 by gregory.p.smith. This issue is now closed.

Files
File name Uploaded Description Edit
http_cookies_doc_corrections.diff spookylukey, 2011-01-24 22:27 Patch to docs review
Pull Requests
URL Status Linked Edit
PR 13086 merged python-dev, 2019-05-04 20:41
PR 13161 merged miss-islington, 2019-05-07 17:05
Messages (8)
msg126962 - (view) Author: Luke Plant (spookylukey) Date: 2011-01-24 22:27
Docs for SimpleCookie, BaseCookie.value_encode and BaseCookie.value_decode are obviously incorrect.  Attempt at patch attached.

The error has existed in every Python version I've seen, I've tagged the ones I believe can receive fixes, sorry if I've made a mistake.

Thanks.
msg126979 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-01-25 01:35
The text in the docstrings appears to be accurate, and it seems to me they clarify it even more than your suggested changes do.  Also, I think SimpleCookie's encode/decode roughly implements some RFC or another (though there are some tweaks), and it might be worth mentioning that.

Even with these changes, though, I don't think it is possible to really understand what cookie is doing without reading the source, and even then it is non-obvious :(
msg223449 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-18 22:57
Given the comments in msg126979 do we formally review this, close as "won't fix" or what?
msg223458 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-07-19 02:32
My suggestion was that the help text from the doc strings be used to update the ReST documentation.
msg341403 - (view) Author: Julia (jiliuk) * Date: 2019-05-04 20:33
Working on it at the moment
msg341778 - (view) Author: miss-islington (miss-islington) Date: 2019-05-07 17:05
New changeset 91cc01f40eec03ece2d6b04ad9ea786e77707d8d by Miss Islington (bot) (Julia Iliuk) in branch 'master':
bpo-11001: updated cookie docs (GH-13086)
https://github.com/python/cpython/commit/91cc01f40eec03ece2d6b04ad9ea786e77707d8d
msg341788 - (view) Author: miss-islington (miss-islington) Date: 2019-05-07 17:32
New changeset 1fe722cf14db0f786d6df1ff4392f44d37a9f867 by Miss Islington (bot) in branch '3.7':
[3.7] bpo-11001: updated cookie docs (GH-13086) (GH-13161)
https://github.com/python/cpython/commit/1fe722cf14db0f786d6df1ff4392f44d37a9f867
msg341789 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2019-05-07 17:34
Thanks Julia!
History
Date User Action Args
2019-05-07 17:34:46gregory.p.smithsetstatus: open -> closed

nosy: + gregory.p.smith
messages: + msg341789

resolution: fixed
stage: patch review -> commit review
2019-05-07 17:32:48miss-islingtonsetmessages: + msg341788
2019-05-07 17:05:40miss-islingtonsetpull_requests: + pull_request13080
2019-05-07 17:05:27miss-islingtonsetnosy: + miss-islington
messages: + msg341778
2019-05-04 20:50:28gregory.p.smithsetversions: + Python 3.7, Python 3.8, - Python 3.2, Python 3.3
2019-05-04 20:41:09python-devsetpull_requests: + pull_request13000
2019-05-04 20:33:22jiliuksetnosy: + jiliuk
messages: + msg341403
2019-04-26 20:01:56BreamoreBoysetnosy: - BreamoreBoy
2014-07-19 02:32:35r.david.murraysetmessages: + msg223458
2014-07-18 22:57:17BreamoreBoysetnosy: + BreamoreBoy
messages: + msg223449
2011-11-29 06:12:09ezio.melottisetkeywords: + easy
nosy: + petri.lehtinen
stage: patch review

versions: + Python 3.3, - Python 3.1
2011-01-25 01:35:23r.david.murraysetnosy: + r.david.murray
messages: + msg126979
2011-01-24 22:27:45spookylukeycreate